Subject: Re: [PATCH] linux-firmware: update firmware for MT7921 WiFi device

From: Sven Eckelmann <[email-masked]>
Date: Thu, 09 Dec 2021 15:04:24 +0100

On Thursday, 9 December 2021 10:21:02 CET Sven Eckelmann wrote:
> Tested-by: Sven Eckelmann <[email-masked]>

I would like to retract this again because it seems like the firmware is now 
hanging all the time when the default runtime-pm/deep-sleep settings are used.

    [  521.553436] mt7921e 0000:05:00.0: Message 40000002 (seq 12) timeout
    [  521.559884] mt7921e 0000:05:00.0: chip reset
    [  521.661983] mt7921e 0000:05:00.0: HW/SW Version: 0x8a108a10, Build Time: 20211129210838a
    [  521.661983] 
    [  521.684088] mt7921e 0000:05:00.0: WM Firmware Version: ____010000, Build Time: 20211129210917
    [  521.723561] mt7921e 0000:05:00.0: Firmware init done

This doesn't seem to happen that often when I perform a

   echo 0 > /sys/kernel/debug/ieee80211/phy0/mt76/runtime-pm
   echo 0 > /sys/kernel/debug/ieee80211/phy0/mt76/deep-sleep

before setting up the interfaces.

But even then, on the first "ip link set up dev mon0" (not only for mon0 - 
also for wlan0/...) it will crash with:

    [  806.731357] mt7921e 0000:05:00.0: Message 00000046 (seq 4) timeout
    [  806.737730] mt7921e 0000:05:00.0: chip reset
RTNETLINK answers: Connection timed out
    [  806.867666] mt7921e 0000:05:00.0: HW/SW Version: 0x8a108a10, Build Time: 20211129210838a
    [  806.867666] 
    [  806.888441] mt7921e 0000:05:00.0: WM Firmware Version: ____010000, Build Time: 20211129210917
    [  806.928204] mt7921e 0000:05:00.0: Firmware init done

But when I then set up the device again then it seems to work. This is the 
case for monitor and managed interfaces.

I've used commit 678071ef7029 ("mt76: mt7615: clear mcu error interrupt status 
on mt7663") in mt76.git for this. 

Kind regards,
	Sven